#ifdef GL_ES
precision mediump float;
precision mediump int;
#endif

#define PROCESSING_TEXTURE_SHADER

uniform sampler2D texture;

varying vec4 vertColor;
varying vec4 vertTexCoord;

void main()
{
	vec4 coord = vertTexCoord;
	float scale = 1.0;
	if (coord.y > 0.84)
		scale = 1.02;
	gl_FragColor = texture2D(texture, vec2(coord.x * scale, coord.y)) * vertColor;
}